API ReferenceapiclinicalGET /v1/protocols/{id}

GET /v1/protocols/\{id\}

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Protocol found

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "version": {
      "type": "string"
    },
    "description": {
      "type": [
        "string",
        "null"
      ]
    },
    "category": {
      "type": "string"
    },
    "criteria": {
      "type": "object",
      "additionalProperties": {}
    },
    "recommendations": {
      "type": "array",
      "items": {}
    },
    "contraindications": {
      "type": "array",
      "items": {}
    },
    "active": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "name",
    "version",
    "description",
    "category",
    "criteria",
    "recommendations",
    "contraindications",
    "active"
  ]
}

404 Protocol not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/protocols/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"